> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Reapply plugin collection assignments

> Materialize missing plugin assignments from existing plugin collection assignments



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json post /v0/plugin-collection-assignments/reapply
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/plugin-collection-assignments/reapply:
    post:
      tags:
        - plugin-collection-assignments
      summary: Reapply plugin collection assignments
      description: >-
        Materialize missing plugin assignments from existing plugin collection
        assignments
      parameters:
        - description: Network ID
          in: header
          name: X-Network-ID
          required: true
          schema:
            type: string
        - description: Network Secret
          in: header
          name: X-Network-Secret
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/models.ReapplyPluginCollectionAssignmentsRequest
        description: Plugin collection reapply filters
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/models.ReapplyPluginCollectionAssignmentsResponse
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    models.ReapplyPluginCollectionAssignmentsRequest:
      properties:
        persistent_server_ids:
          items:
            type: string
          type: array
          uniqueItems: false
        plugin_collection_id:
          type: string
        server_group_ids:
          items:
            type: string
          type: array
          uniqueItems: false
      type: object
    models.ReapplyPluginCollectionAssignmentsResponse:
      properties:
        created_plugin_assignments:
          type: integer
        message:
          type: string
        reapplied_collection_assignments:
          type: integer
        skipped_plugin_assignments:
          type: integer
      type: object
    models.ErrorResponse:
      description: Generic error response
      properties:
        error:
          type: string
      type: object

````